Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.visitors
Class UrlModifyingVisitor

    java.lang.Object
      org.htmlparser.visitors.NodeVisitor
          org.htmlparser.visitors.UrlModifyingVisitor

    public class UrlModifyingVisitor

extends NodeVisitor

Constructor Summary
`UrlModifyingVisitor(String linkPrefix)`

Method Summary
`String` | `getModifiedResult()`
`void` | `visitEndTag(Tag tag)` Called for each `Tag` visited that is an end tag.
`void` | `visitRemarkNode(Remark remarkNode)` Called for each `RemarkNode` visited.
`void` | `visitStringNode(Text stringNode)` Called for each `StringNode` visited.
`void` | `visitTag(Tag tag)` Called for each `Tag` visited.

Methods inherited from class org.htmlparser.visitors.NodeVisitor
`beginParsing, finishedParsing, shouldRecurseChildren, shouldRecurseSelf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlModifyingVisitor

    public UrlModifyingVisitor(String linkPrefix)

Method Detail

### visitRemarkNode

    public void visitRemarkNode(Remark remarkNode)

  Description copied from class: `NodeVisitor`
  Called for each `RemarkNode` visited.

  Overrides:
    `visitRemarkNode` in class `NodeVisitor`
  Parameters:
    `remarkNode` - The remark node being visited.

### visitStringNode

    public void visitStringNode(Text stringNode)

  Description copied from class: `NodeVisitor`
  Called for each `StringNode` visited.

  Overrides:
    `visitStringNode` in class `NodeVisitor`
  Parameters:
    `stringNode` - The string node being visited.

### visitTag

    public void visitTag(Tag tag)

  Description copied from class: `NodeVisitor`
  Called for each `Tag` visited.

  Overrides:
    `visitTag` in class `NodeVisitor`
  Parameters:
    `tag` - The tag being visited.

### visitEndTag

    public void visitEndTag(Tag tag)

  Description copied from class: `NodeVisitor`
  Called for each `Tag` visited that is an end tag.

  Overrides:
    `visitEndTag` in class `NodeVisitor`
  Parameters:
    `tag` - The end tag being visited.

### getModifiedResult

    public String getModifiedResult()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |